Bug 477018 - An internal system error has occured
An internal system error has occured
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 12:51 EST by Julian Batliner
Modified: 2009-01-26 20:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 13:11:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Batliner 2008-12-18 12:51:19 EST
Description of problem:
when searching for picasa in PackageKit, a window pops up:
An internal system error has occured:

Error Type: <type 'exceptions.AttributeError'>
Error Value: 'NoneType' object has no attribute 'replace'
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2280, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2277, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 611, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 479, in dispatch_command
    self.get_details(pkgs)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1612, in get_details
    self._show_details_pkg(pkg)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1621, in _show_details_pkg
    desc = desc.replace('\n\n', '
')


Version-Release number of selected component (if applicable):
gpk-application 0.3.12

How reproducible:
always

Steps to Reproduce:
1. add google repos (http://www.google.com/linuxrepositories/yum.html) 
2. open Add/Remove Software
3. search for picasa
  
Actual results:
search results are correct

Expected results:
no pop up

Additional info:
Comment 1 Richard Hughes 2008-12-18 13:04:11 EST
I can reproduce, investigating now.
Comment 2 Richard Hughes 2008-12-18 13:11:47 EST
Committed in master and stable, they'll be new packages on Monday:

commit d477d595267ca0a70d119381205df83d3adeea61
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Dec 18 18:10:03 2008 +0000

    yum: don't show an error when we try to get the details of a package that does not have a description field. Fixes RH#477018
Comment 3 Fedora Update System 2009-01-08 12:11:13 EST
PackageKit-0.3.13-1.fc10,gnome-packagekit-0.3.13-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.13-1.fc10,gnome-packagekit-0.3.13-1.fc10
Comment 4 Fedora Update System 2009-01-26 20:56:41 EST
PackageKit-0.3.13-1.fc10, gnome-packagekit-0.3.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.